# Imports a doodle and randomly distorts the points.

from math import sin

size(500, 500)
speed(30)

svg = ximport("svg")

# The parse() command will return
# a list of the shapes in the SVG file.
paths = svg.parse(open("doodle.svg").read())

def draw():
    i = 0
    mutation = 10.0
    for path in paths:
        # The path.length returns the length of the path
        # if you would stretch it out into one long line.
        # The number of points works together with the
        # length of the path so each path has a number
        # of points with the same "spreading"
        for el in path.points(path.length/10.0):
            oval(40+el.x+sin(FRAME/30.0+i)*mutation, 
                 el.y, 
                 20, 
                 20)
            i += 1